# Create ODL flag configuration

Create a new flag configuration to decide which flags will be passed to ODL

Endpoint: POST /config/odl_flags_config
Version: 4.0.0
Security: Bearer

## Request fields (application/json):

  - `flag` (string, required)
    Flag to be passed to ODL in payment/estimate requests.

  - `flag_value` (string)
    flag value to be passed to ODL in payment/estimate requests.

  - `exchange` (string)
    Exchange name for which this flag should be added to the ODL payment/estimate request

  - `sender_host` (string)
    Sender host ripplenet hostname who sends the payment for which this flag is to be applied

## Response 200 fields (application/json):

  - `odl_flag_config_id` (string)
    The unique identifier for this ODL Flag Configuration.

  - `flag` (string)
    Flag to be passed to ODL in payment/estimate requests.

  - `flag_value` (string)
    flag value to be passed to ODL in payment/estimate requests.

  - `exchange` (string)
    Exchange name for which this flag should be added to the ODL payment/estimate request

  - `sender_host` (string)
    Sender host ripplenet hostname who sends the payment for which this flag is to be applied

## Response 400 fields (application/json):

  - `type` (string)
    URL to the error documentation.
    Example: "https://errors.ripplenet.ripple.com/error/json-processing-error"

  - `title` (string)
    Summary of the returned problem.
    Example: "Invalid Request Object"

  - `detail` (string)
    Description of the returned problem.
    Example: "The request parameter [account_id] is not in the correct format."

  - `status` (number)
    HTTP error code.
    Example: 400

  - `ripplenet_error_code` (string)
    RippleNet specific error code.
    Example: "E0104"

  - `finality` (string)
    Specifies if the request can be retried for a successful response.
    Example: "PERMANENT"


